# Bark TTS

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781991719128457216) to try this widget and copy the Pro Config template.

## Usage

#### Supported Languages

> * English
> * Chinese
> * German
> * Spanish
> * French
> * Hindi
> * Italian
> * Japanese
> * Korean
> * Polish
> * Portuguese
> * Russian
> * Turkish&#x20;

The languages are auto-detected. Bark-TTS also supports serval non-speech sounds.

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>prompt</td><td><code>string</code></td><td><p>The text prompt for model to generate audio. Here are some non-speech sounds:</p><pre><code>                                    - [laughter]
                                    - [laughs]
                                    - [sighs]
                                    - [music]
                                    - [gasps]
                                    - [clears throat] 
                                    - — or ... |  for hesitations
                                    - ♪  | for song lyrics
                                    - Capitalization | for emphasis of a word
                                    - NARRATOR: / MAN: / WOMAN: | for bias towards speaker&#x3C;/td>&#x3C;td>Hello, my name is Suno. And, uh — and I like pizza. [laughs] But I also have other interests such as playing tic tac toe.&#x3C;/td>&#x3C;td>false&#x3C;/td>&#x3C;/tr>
</code></pre></td><td>Hello, my name is Suno. And, uh — and I like pizza. [laughs] But I also have other interests such as playing tic tac toe.</td><td>true</td></tr><tr><td>history_prompt</td><td><code>string</code></td><td><p>history choice for audio cloning, choose from the list. To mitigate misuse of this technology, we limit the audio history prompts to a limited set.</p><pre><code>                                    It is possible to use for example a german history prompt with english text. This usually leads to english audio with a german accent.&#x3C;/td>&#x3C;td>en_speaker_0&#x3C;/td>&#x3C;td>false&#x3C;/td>&#x3C;/tr>
</code></pre></td><td>en_speaker_0</td><td>true</td></tr><tr><td>text_temp</td><td><code>number</code></td><td>generation temperature during text encoding (1.0 more diverse, 0.0 more conservative)</td><td>0.7</td><td>false</td></tr><tr><td>waveform_temp</td><td><code>number</code></td><td>generation temperature during wavform generation (1.0 more diverse, 0.0 more conservative)</td><td>0.7</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                                                                                              | File Type |
| ---- | -------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| url  | `string` | The audio that was generated has been saved as an online URL. This link is temporary, so please save it for your own use | `audio`   |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "url": "https://cdn.myshell.ai/audio/chat/embed_obj/38145/20240423/fa7e6014529f41c1aa747f765f00c385.mp3"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://myshell-wiki.gitbook.io/proconfig-tutorial/api-reference/widgets/7-bark-tts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
